Package org.jboss.resteasy.security.smime

## Class EnvelopedInputImpl

- java.lang.Object
- - org.jboss.resteasy.security.smime.EnvelopedInputImpl

- All Implemented Interfaces:
    `EnvelopedInput`

      public class EnvelopedInputImpl
      extends Object
      implements EnvelopedInput

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnvelopedInputImpl()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Object` | `extractEntity​(Class t, Type gt, Annotation[] ann, javax.mail.internet.MimeBodyPart decrypted, javax.ws.rs.ext.Providers providers)` |
    `Annotation[]` | `getAnnotations()` |
    `javax.mail.internet.MimeBodyPart` | `getBody()` |
    `X509Certificate` | `getCertificate()` |
    `Object` | `getEntity()` |
    `Object` | `getEntity​(Class type)` |
    `Object` | `getEntity​(Class t, Type gt, Annotation[] ann, PrivateKey pKey, X509Certificate cert)` |
    `Object` | `getEntity​(Class type, PrivateKey key, X509Certificate cert)` |
    `Object` | `getEntity​(PrivateKey pKey, X509Certificate cert)` |
    `Object` | `getEntity​(javax.ws.rs.core.GenericType type)` |
    `Object` | `getEntity​(javax.ws.rs.core.GenericType gt, Annotation[] ann, PrivateKey pKey, X509Certificate cert)` |
    `Object` | `getEntity​(javax.ws.rs.core.GenericType type, PrivateKey key, X509Certificate cert)` |
    `Type` | `getGenericType()` |
    `PrivateKey` | `getPrivateKey()` |
    `javax.ws.rs.ext.Providers` | `getProviders()` |
    `Class<?>` | `getType()` |
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setBody​(javax.mail.internet.MimeBodyPart body)` |
    `void` | `setCertificate​(X509Certificate certificate)` |
    `void` | `setGenericType​(Type genericType)` |
    `void` | `setPrivateKey​(PrivateKey privateKey)` |
    `void` | `setProviders​(javax.ws.rs.ext.Providers providers)` |
    `void` | `setType​(Class<?> type)` |
    `void` | `setType​(javax.ws.rs.core.GenericType<?> type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvelopedInputImpl

          public EnvelopedInputImpl()

  - ### Method Detail

    - #### getPrivateKey

          public PrivateKey getPrivateKey()

    - #### setPrivateKey

          public void setPrivateKey​(PrivateKey privateKey)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate​(X509Certificate certificate)

    - #### getType

          public Class<?> getType()

    - #### setType

          public void setType​(Class<?> type)

    - #### setType

          public void setType​(javax.ws.rs.core.GenericType<?> type)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType​(Type genericType)

    - #### getBody

          public javax.mail.internet.MimeBodyPart getBody()

    - #### setBody

          public void setBody​(javax.mail.internet.MimeBodyPart body)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations​(Annotation[] annotations)

    - #### getProviders

          public javax.ws.rs.ext.Providers getProviders()

    - #### setProviders

          public void setProviders​(javax.ws.rs.ext.Providers providers)

    - #### getEntity

          public Object getEntity()

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(PrivateKey pKey,
                                  X509Certificate cert)

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(Class type)

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(Class type,
                                  PrivateKey key,
                                  X509Certificate cert)

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(javax.ws.rs.core.GenericType type)

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(javax.ws.rs.core.GenericType type,
                                  PrivateKey key,
                                  X509Certificate cert)

      Specified by:
        `getEntity` in interface `EnvelopedInput`

    - #### getEntity

          public Object getEntity​(javax.ws.rs.core.GenericType gt,
                                  Annotation[] ann,
                                  PrivateKey pKey,
                                  X509Certificate cert)

    - #### getEntity

          public Object getEntity​(Class t,
                                  Type gt,
                                  Annotation[] ann,
                                  PrivateKey pKey,
                                  X509Certificate cert)

    - #### extractEntity

          public static Object extractEntity​(Class t,
                                             Type gt,
                                             Annotation[] ann,
                                             javax.mail.internet.MimeBodyPart decrypted,
                                             javax.ws.rs.ext.Providers providers)